DefaultHtmlRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.web.rest.render.html
[Groovy] Class DefaultHtmlRenderer

    java.lang.Object
      org.grails.plugins.web.rest.render.html.DefaultHtmlRenderer

All Implemented Interfaces:
  Renderer

    @groovy.transform.CompileStatic
    class DefaultHtmlRenderer
    extends java.lang.Object

A default renderer for HTML that returns an appropriate model

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`protected MimeType[]` | `mimeTypes`
`protected java.lang.Class` | `targetType`

Property Summary
`ProxyHandler` | `proxyHandler`
`java.lang.String` | `suffix`

Constructor Summary
`DefaultHtmlRenderer(java.lang.Class targetType)`
`DefaultHtmlRenderer(java.lang.Class targetType, MimeType mimeType)`

Method Summary
`protected void` | `applyModel(RenderContext context, java.lang.Object object)`
`MimeType[]` | `getMimeTypes()`
`java.lang.Class` | `getTargetType()`
`void` | `render(java.lang.Object object, RenderContext context)`
`protected java.lang.String` | `resolveModelVariableName(java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### mimeTypes

    protected MimeType[] mimeTypes

### targetType

    protected java.lang.Class targetType

Property Detail

### proxyHandler

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    ProxyHandler proxyHandler

### suffix

    java.lang.String suffix

Constructor Detail

### DefaultHtmlRenderer

    DefaultHtmlRenderer(java.lang.Class targetType)

### DefaultHtmlRenderer

    DefaultHtmlRenderer(java.lang.Class targetType, MimeType mimeType)

Method Detail

### applyModel

    protected void applyModel(RenderContext context, java.lang.Object object)

### getMimeTypes

    MimeType[] getMimeTypes()

### getTargetType

    java.lang.Class getTargetType()

### render

    @java.lang.Override
    void render(java.lang.Object object, RenderContext context)

### resolveModelVariableName

    protected java.lang.String resolveModelVariableName(java.lang.Object object)

Groovy Documentation